
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="row">
      <div class="col-12 col-lg-4">
        <div class="form-row">
          <div class="form-group col-12">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-search"></i></span></div>
              <input class="ControlInput--Input" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda" size="sm"/>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ng-container *ngFor="let tArticuloFor of tArticulos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag">
              <app-fw-consulta-articulo-listado [Articulo]="tArticuloFor" [Actual]="tArticuloFor.Codarticulo === tArticuloActual.Codarticulo ? true : false" (seleccionarArticulo)="SeleccionarArticulo($event)"></app-fw-consulta-articulo-listado>
            </ng-container>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tArticulos.length" [(page)]="tPagina" [pageSize]="tTamanoPag" size="sm"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-8">
        <div class="form-row">
          <div class="form-group col-12">
            <app-fw-consulta-articulo-detalle [Articulo]="tArticuloActual" [Empresa]="tEmpresaActual"></app-fw-consulta-articulo-detalle>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>